=== vpn/CMakeLists.txt ===
add_subdirectory(vpnc)
add_subdirectory(openvpn)
add_subdirectory(l2tp)
add_subdirectory(pptp)
add_subdirectory(openswan)
add_subdirectory(openconnect)
