=== debian/changelog ===
plasma-nm (0.9.3.0-0ubuntu5) saucy; urgency=low

  * Add kubuntu_networkmanager_icon.diff changing the plasmoid and
    connection editor icon to networkmanager.
  * Add networkmanager icons (previously shipped by kde-workspace)
    + debian/icons/oxygen/22x22/apps/networkmanager.png
    + debian/icons/oxygen/32x32/apps/networkmanager.png
    + debian/icons/oxygen/64x64/apps/networkmanager.png
  * Add the icons to include-binaries
    LP: #1239444
  * Add kubuntu_cmake_display_feature_log.diff to display cmake's feature
    log at the end of cmake. Otherwise it's rather hard to tell when features
    are missing because of missing dependencies.
    Please note that while mobile-broadband-provider-info is checked for, it is
    only a runtime dependency and handled as such by debian/control.
  * Add build dependency on libopenconnect-dev as otherwise the openconnect vpn
    support is not built.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 14 Oct 2013 13:57:15 +0200

plasma-nm (0.9.3.0-0ubuntu4) saucy; urgency=low

  * Add a install file to actually ship the files in the package
    (LP: #1238221)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Oct 2013 12:00:14 +0200

plasma-nm (0.9.3.0-0ubuntu3) saucy; urgency=low

  * Add transitional package for plasma-widget-networkmanagement
    (LP: #1234068)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Oct 2013 16:24:57 +0200

plasma-nm (0.9.3.0-0ubuntu2) saucy; urgency=low

  * Add kubuntu_connection_editor_nodisplay.diff
    Setting NoDisplay=true on the connection editor which has no icon and
    seems rather useless considering we have the plasmoid by default.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 26 Sep 2013 14:48:45 +0200

plasma-nm (0.9.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223817)
  * Add pkg-kde-tools as build-dependency
  * Add --parallel and --with kde in debian/rules
  * Add debian/watch file

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 11 Sep 2013 18:15:58 +0800

plasma-nm (0.0~git20130909-0ubuntu1) saucy; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Sep 2013 17:59:01 +0100

plasma-nm (0.0~git20130816-0ubuntu3) saucy; urgency=low

  * Add depends on mobile-broadband-provider-info and
    network-manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Aug 2013 12:35:59 +0100

plasma-nm (0.0~git20130816-0ubuntu2) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 19:07:09 +0100
