## plasma-nm 0.9.3.1

=== debian/changelog ===
plasma-nm (0.9.3.1-0ubuntu1~saucy2) saucy; urgency=medium

  * Conflict/Replace kde-workspace-data << 4.11 as networkmanager.png
    used to live there. LP: #1277312

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 10:26:27 +0100

plasma-nm (0.9.3.1-0ubuntu1~saucy1) saucy; urgency=low

  * SRU to saucy
  * Add 01-rename-plasma-nm.js from upstream to match upstream
    rename of widget

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Oct 2013 15:48:31 +0000

plasma-nm (0.9.3.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Bump Build-Depends on libnm-qt

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Oct 2013 18:16:10 +0200

plasma-nm (0.9.3.0-0ubuntu6) trusty; urgency=low

  * Add Breaks/Replaces between plasma-nm and transitional
    plasma-widget-networkmanagement (LP: #1241985) 
  * Move transitional package to oldlibs.
  * Add misc:Depends to transitional package.
  * Add comment detailing that the transitional package can be removed
    for 14.10.

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 19 Oct 2013 15:36:06 +0200
