=== debian/control ===
Source: plasma-nm
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 0.5.0),
 libnetworkmanagerqt-dev (>= 0.9.0.1), pkg-config, network-manager-dev, libnm-util-dev,
 libnm-glib-dev, pkg-kde-tools, libopenconnect-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/network/plasma-nm

Package: plasma-nm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.8),
 mobile-broadband-provider-info
Suggests: kde-workspace-bin, network-manager-openconnect, network-manager-vpnc,
 network-manager-openvpn, network-manager-pptp
Recommends: kwalletmanager
Breaks: plasma-widget-networkmanagement (<< 0.9.3.0-0ubuntu6~),
 kde-workspace-data (<< 4:4.11.0~)
Replaces: plasma-widget-networkmanagement (<< 0.9.3.0-0ubuntu6~),
 kde-workspace-data (<< 4:4.11.0~)
Description: Plasma applet for managing network connections
 Plasma applet written in QML for managing network connections

# Transitional Package.
# Actual package last shipped in 13.04. Longest supported release is 12.04 LTS.
# Don't remove before 14.10 (next LTS+1)
Package: plasma-widget-networkmanagement
Architecture: all
Depends: plasma-nm, ${misc:Depends}
Section: oldlibs
Description: Transitional package for plasma-widget-networkmanagement
 This is a transitional package for plasma-widget-networkmanagement.
 It can safely be removed.
