=== settings/CMakeLists.txt ===
add_subdirectory(details)
add_subdirectory(notifications)
