=== applet/icons/CMakeLists.txt ===
install(FILES plasma-networkmanagement.svgz DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/ RENAME plasma-networkmanagement2.svgz)

kde4_install_icons(${ICON_INSTALL_DIR})
