=== lib/editor/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(plasmanm_libeditor_SRCS
+set(plasmanetworkmanagement_libeditor_SRCS
     ipv4widget.cpp
     ui/advancedpermissionswidget.cpp
     ui/delegate.cpp
@@ -29,7 +29,13 @@
     connectionwidget.cpp
 )
 
-kde4_add_ui_files(plasmanm_libeditor_SRCS
+if (${NETWORKMANAGERQT_VERSION} VERSION_GREATER 0.9.8.9)
+set(plasmanetworkmanagement_libeditor_SRCS
+    ${plasmanetworkmanagement_libeditor_SRCS}
+    teamwidget.cpp)
+endif()
+
+kde4_add_ui_files(plasmanetworkmanagement_libeditor_SRCS
     ui/advancedpermissionswidget.ui
     ui/ipv4.ui
     ui/ipv4routes.ui
@@ -54,15 +60,19 @@
     ui/connectionwidget.ui
 )
 
-kde4_add_library(plasmanm-editor SHARED ${plasmanm_libeditor_SRCS})
-target_link_libraries(plasmanm-editor
+if (${NETWORKMANAGERQT_VERSION} VERSION_GREATER 0.9.8.9)
+    kde4_add_ui_files(plasmanetworkmanagement_libeditor_SRCS ui/team.ui)
+endif()
+
+kde4_add_library(plasmanetworkmanagement-editor SHARED ${plasmanetworkmanagement_libeditor_SRCS})
+target_link_libraries(plasmanetworkmanagement-editor
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KIO_LIBS}
     ${QT_QTXML_LIBRARY}
     ${QT_QTNETWORK_LIBRARY}
-    NetworkManagerQt
-    ModemManagerQt
-    plasmanm-internal
+    ${NETWORKMANAGERQT_LDFLAGS}
+    ${MODEMMANAGERQT_LDFLAGS}
+    plasmanetworkmanagement-internal
 )
 
-install(TARGETS plasmanm-editor ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS plasmanetworkmanagement-editor ${INSTALL_TARGETS_DEFAULT_ARGS})
