=== debian/changelog ===
plasma-nm (0.9.3.3-0ubuntu1) trusty; urgency=medium

  * Official 0.9.3.3 upstream release.
  * Feature equivalent to previous snapshot upload.
  * Drop kubuntu_networkmanager_icon.diff - the package now contains the
    mentioned icon.
    + Remove debian/icons, it's installation via debian/install and the
      ignore-binary override for dpkg-source

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 01 Mar 2014 17:01:04 +0100

plasma-nm (0.9.3.2+git20140220-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot with translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Feb 2014 11:26:13 +0000

plasma-nm (0.9.3.2+git20140219-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Feb 2014 09:22:12 +0000

plasma-nm (0.9.3.2+git20140217-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 16:45:17 +0000

plasma-nm (0.9.3.2-0ubuntu4) trusty; urgency=medium

  * Add build-dep on modemmanager-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 15:23:49 +0000

plasma-nm (0.9.3.2-0ubuntu3) trusty; urgency=medium

  * Build against new libmm-qt and libnm-qt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 10:55:13 +0000

plasma-nm (0.9.3.2-0ubuntu2) trusty; urgency=low

  * Conflict/Replace kde-workspace-data << 4.11 as networkmanager.png
    used to live there. LP: #1277312

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 10:13:34 +0100

plasma-nm (0.9.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release LP: #1254121
  * Remove kubuntu_connection_editor_nodisplay.diff now upstream
  * Remove kubuntu_cmake_display_feature_log.diff now upstream
  * Remove plasma-nm-fixes.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 14:49:39 +0000
