=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 0.5.0),
- libnetworkmanagerqt-dev (>= 0.9.0.1), pkg-config, network-manager-dev, libnm-util-dev,
- libnm-glib-dev, pkg-kde-tools, libopenconnect-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 1.0.1),
+ libnetworkmanagerqt-dev (>= 0.9.8.1), pkg-config, network-manager-dev, libnm-util-dev,
+ libnm-glib-dev, pkg-kde-tools, libopenconnect-dev, modemmanager-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/network/plasma-nm
