=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/plasma-nm/plasma-nm-([\d\.]*).tar.xz
