=== applet/CMakeLists.txt ===

