=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nb)
add_subdirectory(sv)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(hr)
add_subdirectory(sk)
add_subdirectory(fr)
add_subdirectory(nl)
add_subdirectory(pa)
add_subdirectory(is)
add_subdirectory(da)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(fi)
add_subdirectory(ug)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(gl)
add_subdirectory(sl)
add_subdirectory(mai)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(uk)
add_subdirectory(sr@latin)
add_subdirectory(el)
add_subdirectory(pt_BR)
add_subdirectory(ms)
add_subdirectory(zh_CN)
add_subdirectory(nn)
add_subdirectory(mr)
add_subdirectory(ar)
add_subdirectory(th)
add_subdirectory(ga)
add_subdirectory(zh_TW)
add_subdirectory(fa)
add_subdirectory(pt)
add_subdirectory(sr)
add_subdirectory(km)
add_subdirectory(bg)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(de)
add_subdirectory(ru)
add_subdirectory(lv)
add_subdirectory(lt)
add_subdirectory(ja)
add_subdirectory(tr)
add_subdirectory(sr@ijekavian)
add_subdirectory(eo)
add_subdirectory(nds)
