=== vpn/l2tp/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 kde4_add_plugin(plasmanetworkmanagement_l2tpui ${l2tp_SRCS})
 
-target_link_libraries(plasmanetworkmanagement_l2tpui plasmanetworkmanagement-internal ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})
+target_link_libraries(plasmanetworkmanagement_l2tpui plasmanetworkmanagement-editor ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})
 
 install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${PLUGIN_INSTALL_DIR})
