=== debian/changelog ===
plasma-nm (0.9.3.4-2) unstable; urgency=medium

  * New patch: upstream-delay_the_notifications (Closes: #758863) Thanks
    to Ralf Jung
  * New patch: upstream-use_proper_kded
  * New patch: upstream-fix_build_replace
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 Sep 2014 10:34:16 +0200

plasma-nm (0.9.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove upstream patch: upstream_fix_build_new_openconnnect
  * Remove patch: disable_teamwidget

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Aug 2014 22:30:24 +0200

plasma-nm (0.9.3.3-4) unstable; urgency=medium

  * Update Homepage field. (Closes: #753279)
  * Fix wrong replaces breaks versions. (Closes: #754604, #754979)
  * New patch: disable_teamwidget

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jul 2014 13:33:49 +0200

plasma-nm (0.9.3.3-3) unstable; urgency=medium

  * Bump network-manager dependency in the binary package. (Closes: #743041)
  * New patch: upstream_fix_build_new_openconnnect (Closes: #742090)
    Thanks to Mike Miller

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 10:45:43 +0200

plasma-nm (0.9.3.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Mar 2014 10:55:27 +0100

plasma-nm (0.9.3.3-1) experimental; urgency=medium

  * New upstream release.
  * Aesthetic change, further reduce rules file.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Mar 2014 13:30:54 +0100

plasma-nm (0.9.3.2-3) unstable; urgency=medium

  * Update transitional package description. Thanks to Jonas Smedegaard.
    (Closes: #739045)
  * Add plasma-widget-networkmanagement-dbg transitional package.
    (Closes: #740326)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Feb 2014 23:51:09 +0100

plasma-nm (0.9.3.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Feb 2014 16:59:02 +0100

plasma-nm (0.9.3.2-1) experimental; urgency=low

  * Initial release. (Closes: #731375)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Dec 2013 21:18:56 +0100
