=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.6.2),
               debhelper (>= 9),
               gettext,
               kdelibs5-dev (>= 4:4.9.0),
               libmodemmanagerqt-dev (>= 1.0.1),
               libnetworkmanagerqt-dev (>= 0.9.8.2),
               libnm-glib-dev (>= 0.9.8.4),
               libnm-util-dev (>= 0.9.8.4),
               libopenconnect-dev (>= 4.04),
               libqt4-dev (>= 4:4.6.0),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 0.8),
               network-manager-dev (>= 0.9.8.4),
               pkg-config,
               pkg-kde-tools (>= 0.5)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/plasma-nm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/plasma-nm.git

Package: plasma-nm
Architecture: any
Depends: mobile-broadband-provider-info,
         network-manager (>= 0.9.8.4),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kde-workspace-bin, network-manager-openconnect
Recommends: kwalletmanager,
            network-manager-openvpn,
            network-manager-pptp,
            network-manager-vpnc
Replaces: knm-runtime, plasma-widget-networkmanagement (<< 0.9.3.2)
Breaks: knm-runtime, plasma-widget-networkmanagement (<< 0.9.3.2)
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: plasma-widget-networkmanagement
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-nm (>= ${binary:Version}), ${misc:Depends}
Description: Transitional package for plasma-nm
 This is a transitional package for plasma-nm.
 It can safely be removed.

Package: plasma-nm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-nm (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Suggests: kde-workspace-dbg
Description: debugging symbols for KDE Network Management widget
 This package provides debugging symbols for all binary packages built from the
 plasma-nm source package. It's highly recommended to have this package
 installed before reporting any crashes.

Package: plasma-widget-networkmanagement-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-nm-dbg (>= ${binary:Version}), ${misc:Depends}
Description: Transitional package for plasma-nm-dbg
 This is a transitional package for plasma-nm-dbg.
 It can safely be removed.
