=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --with kde --dbg-package=plasma-nm-dbg
