=== debian/watch ===
version=3
http://download.kde.org/stable/plasma-nm/plasma-nm-([\d.]+).tar.xz
